defineObject{
	name = "rc_stone_box",
	components = {
		{
			class = "Model",
			model = "mod_assets/vanblam/red_cave/models/env/rc_stone_box.fbx",
			staticShadow = true,
		},
		{
			class = "Model",
			name = "lock",
			offset = vec(0,0,0),
			enabled = false,
		},
		{
			class = "Animation",
			animations = {
				open = "assets/animations/env/treasure_chest_open.fbx",
				close = "assets/animations/env/treasure_chest_close.fbx",
				openchest = "mod_assets/vanblam/red_cave/animations/rc_stone_box_open.fbx",
				closechest = "mod_assets/vanblam/red_cave/animations/rc_stone_box_close.fbx",
			},
			onAnimationEvent = function(self, event)
			if event == "open" then
			playSound ("gen_stone_slide")
			self.go.controller:open()
			elseif event == "close" then
			playSound ("gen_stone_lid_stop")
			self.go.controller:close()
				end
			end,
		},
		{
			class = "Clickable",
			offset = vec(0,0.575,0.5),
			size = vec(1.02, 1.15, 1.02),
			maxDistance = 1,
			--debugDraw = true,
		},
		{
			class = "Obstacle",
			hitSound = "barrel_hit",
		},
		{
			class = "ProjectileCollider",
		},
		{
			class = "Surface",
			offset = vec(0,0.536,0.5),
			size = vec(0.74, 0.74),
			--debugDraw = true,
		},		
		{
			class = "Chest",
		},
		{
			class = "Controller",
			onOpen = function(self)
				self.go.animation:play("openchest")
				self.go.controller:activate()
			end,
			onClose = function(self)
				self.go.animation:play("closechest")
				self.go.controller:deactivate()
			end,
		},
	},
	placement = "floor",
	editorIcon = 216,
	automapIcon = 124,
	automapIconLayer = 1,
	tags = { "shadowgate", "vanblam", "chest", "general" },
}